-----------------------------------------------------------------------------------------------
-- Client Lua Script for RuneMaster
-- Copyright (c) Tyler T. Hardy (Potato Rays/perterter/daperterter). All rights reserved
-----------------------------------------------------------------------------------------------
 
local RuneMaster = Apollo.GetAddon("RuneMaster")

RuneMaster.ktItemQualityData = {
	[Item.CodeEnumItemQuality.Inferior] = { strSprite="Grey",	strColor="Inferior" },
	[Item.CodeEnumItemQuality.Average] = { strSprite="White",	strColor="Average" },
	[Item.CodeEnumItemQuality.Good] = { strSprite="Green",		strColor="Good" },
	[Item.CodeEnumItemQuality.Excellent] = { strSprite="Blue",	strColor="Excellent" },
	[Item.CodeEnumItemQuality.Superb] = { strSprite="Purple",	strColor="Superb" },
	[Item.CodeEnumItemQuality.Legendary] = { strSprite="Orange",strColor="Legendary" },
	[Item.CodeEnumItemQuality.Artifact] = { strSprite="Magenta",strColor="Artifact" }
}

RuneMaster.ktElementData = {
	[Item.CodeEnumRuneType.Fire] = {strName = Apollo.GetString("CRB_Fire"),strSprite="Crafting_RunecraftingSprites:sprRunecrafting_Fire",strColor="ffcc00",craftingID = 131},
	[Item.CodeEnumRuneType.Water] = {strName = Apollo.GetString("CRB_Water"),strSprite="Crafting_RunecraftingSprites:sprRunecrafting_Water",strColor="00ffff",craftingID = 132},
	[Item.CodeEnumRuneType.Earth] = {strName = Apollo.GetString("CRB_Earth"),strSprite="Crafting_RunecraftingSprites:sprRunecrafting_Earth",strColor="ffd000",craftingID = 133},
	[Item.CodeEnumRuneType.Air] = {strName = Apollo.GetString("CRB_Air"),strSprite="Crafting_RunecraftingSprites:sprRunecrafting_Air",strColor="ffffff",craftingID = 134},
	[Item.CodeEnumRuneType.Logic] = {strName = Apollo.GetString("CRB_Logic"),strSprite="Crafting_RunecraftingSprites:sprRunecrafting_Logic",strColor="ffff00",craftingID = 136},
	[Item.CodeEnumRuneType.Life] = {strName = Apollo.GetString("CRB_Life"),strSprite="Crafting_RunecraftingSprites:sprRunecrafting_Life",strColor="00ff00",craftingID = 135},
	[Item.CodeEnumRuneType.Fusion] = {strName = Apollo.GetString("CRB_Fusion"),strSprite="Crafting_RunecraftingSprites:sprRunecrafting_Fusion",strColor="ff00ff",craftingID = 137}
}

RuneMaster.ktRuneStats = {
  [5] = {
    strLocale = "Focus Pool",
    strShort = "FOCUS",
    strSprite = "IconSprites:Icon_CraftingIcon_Life_Focus_CircuitBoard_Crafting_Icon"
  },
  [6] = {
    strLocale = "Focus Recovery Rating",
    strShort = "FOREC",
    strSprite = "IconSprites:Icon_CraftingIcon_Life_Focusl_CircuitBoard_Crafting_Icon"
  },
  [7] = {
    strLocale = "Max Health",
    strRatingFunc = "GetMaxHealth",
    strShort = "MAXHP",
    strSprite = "IconSprites:Icon_CraftingIcon_Life_Health_CircuitBoard_Crafting_Icon"
  },
  [25] = {
    strLocale = "Lifesteal Rating",
    strRatingFunc = "GetLifestealRating",
    strShort = "STEAL",
    strSprite = "IconSprites:Icon_CraftingIcon_Life_Lifesteal_CircuitBoard_Crafting_Icon"
  },
  [29] = {
    strLocale = "Multi-Hit Rating",
    strRatingFunc = "GetMultiHitRating",
    strShort = "MULTI",
    strSprite = "IconSprites:Icon_CraftingIcon_Water_CircuitBoard_Crafting_Multihit_Icon"
  },
  [32] = {
    strLocale = "Strikethrough Rating",
    strRatingFunc = "GetStrikethroughRating",
    strShort = "STRKE",
    strSprite = "IconSprites:Icon_CraftingIcon_Air_Strikethrough_CircuitBoard_Crafting_Icon"
  },
  [33] = {
    strLocale = "Deflect Chance Rating",
    strRatingFunc = "GetDeflectRating",
    strShort = "DFLCT",
    strSprite = "IconSprites:Icon_CraftingIcon_Air_Deflect_CircuitBoard_Crafting_Icon"
  },
  [34] = {
    strLocale = "Critical Hit Rating",
    strRatingFunc = "GetCritRating",
    strShort = "CRHIT",
    strSprite = "IconSprites:Icon_CraftingIcon_Fire_CriticalHitChance_CircuitBoard_Crafting_Icon"
  },
  [37] = {
    strLocale = "Critical Mitigation Rating",
    strRatingFunc = "GetCriticalMitigationRating",
    strShort = "CRMIT",
    strSprite = "IconSprites:Icon_CraftingIcon_Logic_CriticalHitMitigation_CircuitBoard_Crafting_Icon"
  },
  [42] = {
    strLocale = "Armor",
    strShort = "ARMOR",
    strSprite = "IconSprites:Icon_CraftingIcon_Earth_Armor_CircuitBoard_Crafting__Icon"
  },
  [47] = {
    strLocale = "Critical Hit Severity Rating",
    strRatingFunc = "GetCritSeverityRating",
    strShort = "CRSEV",
    strSprite = "IconSprites:Icon_CraftingIcon_Earth_CriticalHitSeverity_CircuitBoard_Crafting_Icon"
  },
  [56] = {
    strLocale = "Intensity Rating",
    strRatingFunc = "GetIntensityRating",
    strShort = "INTEN",
    strSprite = "IconSprites:Icon_CraftingIcon_Logic_Iintensity_CircuitBoard_Crafting_Icon"
  },
  [57] = {
    strLocale = "Vigor Rating",
    strRatingFunc = "GetVigor",
    strShort = "VIGOR",
    strSprite = "IconSprites:Icon_CraftingIcon_Logic_Vigor_CircuitBoard_Crafting_Icon"
  },
  [58] = {
    strLocale = "Glance Rating",
    strRatingFunc = "GetGlanceRating",
    strShort = "GLNCE",
    strSprite = "IconSprites:Icon_CraftingIcon_Water_CircuitBoard_Crafting_Glance_Icon"
  },
  [63] = {
    strLocale = "Reflect Rating",
    strRatingFunc = "GetDamageReflectRating",
    strShort = "RFLCT",
    strSprite = "IconSprites:Icon_CraftingIcon_Fire_Reflect_CircuitBoard_Crafting_Icon"
  },
  [64] = {
    strLocale = "CC Resilience Rating",
    strShort = "CCRES",
    strSprite = "IconSprites:Icon_CraftingIcon_Earth_CircuitBoard_Crafting_Resilience_Icon"
  }
}

RuneMaster.ktArmorSlotInfo = {
	[GameLib.CodeEnumEquippedItems.WeaponPrimary]={strSprite="CharacterWindowSprites:btn_Armor_HandsNormal", strName="Weapon", strEmpty=Apollo.GetString("Character_WeaponEmpty")},
	--[GameLib.CodeEnumEquippedItems.Shields]={strSprite="CharacterWindowSprites:btn_Armor_PowerSourceNormal", strName=Apollo.GetString("InventorySlot_Shields"), strEmpty=Apollo.GetString("Character_ShieldEmpty")},
	[GameLib.CodeEnumEquippedItems.Head]={strSprite="CharacterWindowSprites:btn_Armor_HeadNormal", strName=Apollo.GetString("InventorySlot_Head"), strEmpty=Apollo.GetString("Character_HeadEmpty")},
	[GameLib.CodeEnumEquippedItems.Shoulder]={strSprite="CharacterWindowSprites:btn_Armor_ShoulderNormal", strName=Apollo.GetString("InventorySlot_Shoulder"), strEmpty=Apollo.GetString("Character_ShoulderEmpty")},
	[GameLib.CodeEnumEquippedItems.Chest]={strSprite="CharacterWindowSprites:btn_Armor_ChestNormal", strName=Apollo.GetString("InventorySlot_Chest"), strEmpty=Apollo.GetString("Character_ChestEmpty")},
	[GameLib.CodeEnumEquippedItems.Hands]={strSprite="CharacterWindowSprites:btn_Armor_HandsNormal", strName=Apollo.GetString("InventorySlot_Hands"), strEmpty=Apollo.GetString("Character_HandsEmpty")},
	[GameLib.CodeEnumEquippedItems.Legs]={strSprite="CharacterWindowSprites:btn_Armor_LegsNormal", strName=Apollo.GetString("InventorySlot_Legs"), strEmpty=Apollo.GetString("Character_LegsEmpty")},
	[GameLib.CodeEnumEquippedItems.Feet]={strSprite="CharacterWindowSprites:btn_Armor_FeetNormal", strName=Apollo.GetString("InventorySlot_Feet"), strEmpty=Apollo.GetString("Character_FeetEmpty")},
	--[GameLib.CodeEnumEquippedItems.WeaponAttachment]={strSprite="CharacterWindowSprites:btn_Armor_PowerSourceDisabled", strName=Apollo.GetString("InventorySlot_"), strEmpty=Apollo.GetString("Character_AttachmentEmpty")},
	--[GameLib.CodeEnumEquippedItems.System]={strSprite="CharacterWindowSprites:btn_Armor_BucklePressedFlyby", strName=Apollo.GetString("InventorySlot_"), strEmpty=Apollo.GetString("Character_SupportEmpty")},
	--[GameLib.CodeEnumEquippedItems.Gadget]={strSprite="CharacterWindowSprites:btn_Armor_Trinket1Disabled", strName=Apollo.GetString("InventorySlot_"), strEmpty=Apollo.GetString("Character_GadgetEmpty")},
	--[GameLib.CodeEnumEquippedItems.Implant]={strSprite="CharacterWindowSprites:btn_Armor_RightRingPressedFlyby", strName=Apollo.GetString("InventorySlot_"), strEmpty=Apollo.GetString("Character_ImplantEmpty")}
}

--Updateable information
RuneMaster.ktRuneLevels = {0,70,90,100,110}
RuneMaster.ktRuneLevelNames = {
	[10] = "Lesser",
	[20] = "Normal",
	[30] = "Greater",
	[40] = "Refined",
	[50] = "High",
	[80] = "Superb",
	[100] = "Pure",
	[120] = "Divine"
}
RuneMaster.ktRuneRequiredLevels = {
	[80]=70,
	[100]=90,
	[120]=110
}
  RuneMaster.ktRuneElements = {
	{
      [30] = {
        [78596] = 29,
        [78597] = 32,
        [78604] = 7,
        [79339] = 29,
        [79340] = 32,
        [79345] = 7
      },
      [40] = {
        [78641] = 29,
        [78648] = 32,
        [78649] = 7,
        [79406] = 29,
        [79407] = 32,
        [79414] = 7
      },
      [50] = {
        [78749] = 29,
        [78756] = 32,
        [78757] = 7,
        [79514] = 29,
        [79515] = 32,
        [79522] = 7
      },
      [80] = {
        [78920] = 29,
        [78921] = 32,
        [78922] = 7,
        [79664] = 29,
        [79665] = 32,
        [79666] = 7
      },
      [100] = {
        [79115] = 29,
        [79116] = 32,
        [79121] = 7,
        [79874] = 29,
        [79879] = 32,
        [79888] = 7
      },
      [120] = {
        [79243] = 29,
        [79244] = 32,
        [79249] = 7,
        [80738] = 29,
        [80743] = 32,
        [80744] = 7
      }
    },
    {
      [30] = {
        [78605] = 58,
        [78612] = 42,
        [78613] = 32,
        [79370] = 58,
        [79371] = 42,
        [79378] = 32
      },
      [40] = {
        [78668] = 58,
        [78669] = 42,
        [78676] = 32,
        [79415] = 58,
        [79422] = 42,
        [79423] = 32
      },
      [50] = {
        [78776] = 58,
        [78777] = 42,
        [78784] = 32,
        [79523] = 58,
        [79530] = 42,
        [79531] = 32
      },
      [80] = {
        [78932] = 58,
        [78933] = 42,
        [78934] = 32,
        [79694] = 58,
        [79695] = 42,
        [79696] = 32
      },
      [100] = {
        [79154] = 58,
        [79155] = 42,
        [79156] = 32,
        [79889] = 58,
        [79890] = 42,
        [79895] = 32
      },
      [120] = {
        [79250] = 58,
        [79251] = 42,
        [79252] = 32,
        [80745] = 58,
        [80746] = 42,
        [80751] = 32
      }
    },
    {
      [30] = {
        [78632] = 34,
        [78633] = 29,
        [78640] = 56,
        [79379] = 34,
        [79386] = 29,
        [79387] = 56
      },
      [40] = {
        [78677] = 34,
        [78684] = 29,
        [78685] = 56,
        [79442] = 34,
        [79443] = 29,
        [79450] = 56
      },
      [50] = {
        [78785] = 34,
        [78792] = 29,
        [78793] = 56,
        [79550] = 34,
        [79551] = 29,
        [79558] = 56
      },
      [80] = {
        [78944] = 34,
        [78945] = 29,
        [78946] = 56,
        [79706] = 34,
        [79707] = 29,
        [79708] = 56
      },
      [100] = {
        [79161] = 34,
        [79162] = 29,
        [79163] = 56,
        [79928] = 34,
        [79929] = 29,
        [79930] = 56
      },
      [120] = {
        [79257] = 34,
        [79258] = 29,
        [79259] = 56,
        [80752] = 34,
        [80753] = 29,
        [80754] = 56
      }
    },
    {
      [40] = {
        [78704] = 34,
        [78705] = 29,
        [78712] = 32,
        [79451] = 34,
        [79458] = 29,
        [79459] = 32
      },
      [50] = {
        [78812] = 34,
        [78813] = 29,
        [78814] = 32,
        [79559] = 34,
        [79566] = 29,
        [79567] = 32
      },
      [80] = {
        [78974] = 34,
        [78975] = 29,
        [78976] = 32,
        [79718] = 34,
        [79719] = 29,
        [79720] = 32
      },
      [100] = {
        [79164] = 34,
        [79169] = 29,
        [79170] = 32,
        [79935] = 34,
        [79936] = 29,
        [79937] = 32
      },
      [120] = {
        [79260] = 34,
        [79265] = 29,
        [79266] = 32,
        [80759] = 34,
        [80760] = 29,
        [80761] = 32
      }
    },
    {
      [40] = {
        [78713] = 33,
        [78720] = 7,
        [78721] = 32,
        [79478] = 33,
        [79479] = 7,
        [79486] = 32
      },
      [50] = {
        [78824] = 33,
        [78825] = 7,
        [78826] = 32,
        [79586] = 33,
        [79587] = 7,
        [79588] = 32
      },
      [80] = {
        [78986] = 33,
        [78987] = 7,
        [78988] = 32,
        [79748] = 33,
        [79749] = 7,
        [79750] = 32
      },
      [100] = {
        [79171] = 33,
        [79172] = 7,
        [79177] = 32,
        [79938] = 33,
        [79943] = 7,
        [79944] = 32
      },
      [120] = {
        [79267] = 33,
        [79268] = 7,
        [79273] = 32,
        [80762] = 33,
        [80767] = 7,
        [80768] = 32
      }
    },
    {
      [40] = {
        [78740] = 34,
        [78741] = 5,
        [78748] = 7,
        [79487] = 34,
        [79494] = 5,
        [79495] = 7
      },
      [50] = {
        [78836] = 34,
        [78837] = 5,
        [78838] = 7,
        [79598] = 34,
        [79599] = 5,
        [79600] = 7
      },
      [80] = {
        [78998] = 34,
        [78999] = 5,
        [79000] = 7,
        [79760] = 34,
        [79761] = 5,
        [79762] = 7
      },
      [100] = {
        [79178] = 34,
        [79179] = 5,
        [79180] = 7,
        [79945] = 34,
        [79946] = 5,
        [79951] = 7
      },
      [120] = {
        [79298] = 34,
        [79299] = 5,
        [79300] = 7,
        [80769] = 34,
        [80770] = 5,
        [80775] = 7
      }
    },
    {
      [50] = {
        [78866] = 57,
        [78867] = 25,
        [78868] = 32,
        [79610] = 57,
        [79611] = 25,
        [79612] = 32
      },
      [80] = {
        [79028] = 57,
        [79029] = 25,
        [79030] = 32,
        [79772] = 57,
        [79773] = 25,
        [79774] = 32
      },
      [100] = {
        [79185] = 57,
        [79186] = 25,
        [79187] = 32,
        [79952] = 57,
        [79953] = 25,
        [79954] = 32
      },
      [120] = {
        [79305] = 57,
        [79306] = 25,
        [79307] = 32,
        [80800] = 57,
        [80801] = 25,
        [80802] = 32
      }
    },
    {
      [50] = {
        [78878] = 37,
        [78879] = 7,
        [78880] = 42,
        [79640] = 37,
        [79641] = 7,
        [79642] = 42
      },
      [80] = {
        [79040] = 37,
        [79041] = 7,
        [79042] = 42,
        [79802] = 37,
        [79803] = 7,
        [79804] = 42
      },
      [100] = {
        [79188] = 37,
        [79193] = 7,
        [79194] = 42,
        [79959] = 37,
        [79960] = 7,
        [79961] = 42
      },
      [120] = {
        [79308] = 37,
        [79313] = 7,
        [79314] = 42,
        [80807] = 37,
        [80808] = 7,
        [80809] = 42
      }
    },
    {
      [50] = {
        [78890] = 56,
        [78891] = 6,
        [78892] = 5,
        [79652] = 56,
        [79653] = 6,
        [79654] = 5
      },
      [80] = {
        [79052] = 56,
        [79053] = 6,
        [79054] = 5,
        [79814] = 56,
        [79815] = 6,
        [79816] = 5
      },
      [100] = {
        [79195] = 56,
        [79196] = 6,
        [79201] = 5,
        [79962] = 56,
        [79967] = 6,
        [79968] = 5
      },
      [120] = {
        [79315] = 56,
        [79316] = 6,
        [79321] = 5,
        [80810] = 56,
        [80815] = 6,
        [80816] = 5
      }
    },
    {
      [80] = {
        [79082] = 34,
        [79083] = 47,
        [79084] = 7,
        [79826] = 34,
        [79827] = 47,
        [79828] = 7
      },
      [100] = {
        [79226] = 34,
        [79227] = 47,
        [79228] = 7,
        [79969] = 34,
        [79970] = 47,
        [79975] = 7
      },
      [120] = {
        [79322] = 34,
        [79323] = 47,
        [79324] = 7,
        [80817] = 34,
        [80818] = 47,
        [80823] = 7
      }
    },
    {
      [80] = {
        [79089] = 33,
        [79098] = 58,
        [79099] = 29,
        [79856] = 33,
        [79857] = 58,
        [79858] = 29
      },
      [100] = {
        [79233] = 33,
        [79234] = 58,
        [79235] = 29,
        [80728] = 33,
        [80729] = 58,
        [80730] = 29
      },
      [120] = {
        [79329] = 33,
        [79330] = 58,
        [79331] = 29,
        [80824] = 33,
        [80825] = 58,
        [80826] = 29
      }
    },
    {
      [80] = {
        [79100] = 29,
        [79105] = 6,
        [79114] = 7,
        [79863] = 29,
        [79872] = 6,
        [79873] = 7
      },
      [100] = {
        [79236] = 29,
        [79241] = 6,
        [79242] = 7,
        [80735] = 29,
        [80736] = 6,
        [80737] = 7
      },
      [120] = {
        [79332] = 29,
        [79337] = 6,
        [79338] = 7,
        [80831] = 29,
        [80832] = 6,
        [80833] = 7
      }
    },
    {
      [110] = {
        [80834] = 29,
        [80839] = 32,
        [80840] = 7,
        [80841] = 57
      },
      [120] = {
        [80970] = 29,
        [80971] = 32,
        [80972] = 7,
        [80973] = 57
      }
    },
    {
      [110] = {
        [80842] = 33,
        [80847] = 37,
        [80964] = 32,
        [80965] = 7
      },
      [120] = {
        [80974] = 33,
        [80975] = 37,
        [80976] = 32,
        [80977] = 7
      }
    },
    {
      [110] = {
        [80966] = 34,
        [80967] = 5,
        [80968] = 7,
        [80969] = 47
      },
      [120] = {
        [80978] = 34,
        [80979] = 5,
        [80980] = 7,
        [80981] = 47
      }
    },
    {
      [100] = {
        [83315] = 57,
        [83316] = 25,
        [83317] = 32,
        [83318] = 7,
        [83459] = 57,
        [83460] = 25,
        [83461] = 32,
        [83462] = 7
      }
    },
    {
      [100] = {
        [83319] = 37,
        [83320] = 42,
        [83321] = 32,
        [83322] = 7,
        [83463] = 37,
        [83464] = 42,
        [83465] = 32,
        [83466] = 7
      }
    },
    {
      [120] = {
        [83323] = 34,
        [83324] = 47,
        [83325] = 32,
        [83326] = 7,
        [83467] = 34,
        [83468] = 47,
        [83469] = 32,
        [83470] = 7
      }
    },
    {
      [120] = {
        [83327] = 58,
        [83328] = 37,
        [83329] = 29,
        [83330] = 42,
        [83471] = 58,
        [83472] = 37,
        [83473] = 29,
        [83474] = 42
      }
    },
    {
      [80] = {
        [83331] = 34,
        [83332] = 47,
        [83333] = 32,
        [83334] = 7,
        [83475] = 34,
        [83476] = 47,
        [83477] = 32,
        [83478] = 7
      }
    },
    {
      [80] = {
        [83335] = 33,
        [83336] = 37,
        [83337] = 32,
        [83338] = 7,
        [83479] = 33,
        [83480] = 37,
        [83481] = 32,
        [83482] = 7
      }
    },
    {
      [100] = {
        [83339] = 29,
        [83340] = 32,
        [83341] = 7,
        [83342] = 57,
        [83483] = 29,
        [83484] = 32,
        [83485] = 7,
        [83486] = 57
      }
    },
    {
      [100] = {
        [83343] = 37,
        [83344] = 42,
        [83345] = 32,
        [83346] = 7,
        [83487] = 37,
        [83488] = 42,
        [83489] = 32,
        [83490] = 7
      }
    },
    {
      [120] = {
        [83347] = 57,
        [83348] = 25,
        [83349] = 32,
        [83350] = 7,
        [83491] = 57,
        [83492] = 25,
        [83493] = 32,
        [83494] = 7
      }
    },
    {
      [120] = {
        [83351] = 58,
        [83352] = 37,
        [83353] = 29,
        [83354] = 42,
        [83495] = 58,
        [83496] = 37,
        [83497] = 29,
        [83498] = 42
      }
    },
    {
      [80] = {
        [83355] = 29,
        [83356] = 32,
        [83357] = 7,
        [83358] = 57,
        [83499] = 29,
        [83500] = 32,
        [83501] = 7,
        [83502] = 57
      }
    },
    {
      [80] = {
        [83359] = 58,
        [83360] = 37,
        [83361] = 29,
        [83362] = 42,
        [83503] = 58,
        [83504] = 37,
        [83505] = 29,
        [83506] = 42
      }
    },
    {
      [100] = {
        [83363] = 57,
        [83364] = 25,
        [83365] = 32,
        [83366] = 7,
        [83507] = 57,
        [83508] = 25,
        [83509] = 32,
        [83510] = 7
      }
    },
    {
      [100] = {
        [83367] = 29,
        [83368] = 6,
        [83369] = 7,
        [83370] = 5,
        [83511] = 29,
        [83512] = 6,
        [83513] = 7,
        [83514] = 5
      }
    },
    {
      [120] = {
        [83371] = 29,
        [83372] = 32,
        [83373] = 7,
        [83374] = 57,
        [83515] = 29,
        [83516] = 32,
        [83517] = 7,
        [83518] = 57
      }
    },
    {
      [120] = {
        [83375] = 56,
        [83376] = 6,
        [83377] = 5,
        [83378] = 7,
        [83519] = 56,
        [83520] = 6,
        [83521] = 5,
        [83522] = 7
      }
    },
    {
      [80] = {
        [83379] = 29,
        [83380] = 32,
        [83381] = 7,
        [83382] = 57,
        [83523] = 29,
        [83524] = 32,
        [83525] = 7,
        [83526] = 57
      }
    },
    {
      [80] = {
        [83383] = 56,
        [83384] = 6,
        [83385] = 5,
        [83386] = 7,
        [83527] = 56,
        [83528] = 6,
        [83529] = 5,
        [83530] = 7
      }
    },
    {
      [100] = {
        [83387] = 57,
        [83388] = 25,
        [83389] = 32,
        [83390] = 7,
        [83531] = 57,
        [83532] = 25,
        [83533] = 32,
        [83534] = 7
      }
    },
    {
      [100] = {
        [83391] = 37,
        [83392] = 42,
        [83393] = 32,
        [83394] = 7,
        [83535] = 37,
        [83536] = 42,
        [83537] = 32,
        [83538] = 7
      }
    },
    {
      [120] = {
        [83395] = 34,
        [83396] = 47,
        [83397] = 32,
        [83398] = 7,
        [83539] = 34,
        [83540] = 47,
        [83541] = 32,
        [83542] = 7
      }
    },
    {
      [120] = {
        [83399] = 33,
        [83400] = 37,
        [83401] = 32,
        [83402] = 7,
        [83543] = 33,
        [83544] = 37,
        [83545] = 32,
        [83546] = 7
      }
    },
    {
      [80] = {
        [83403] = 34,
        [83404] = 47,
        [83405] = 32,
        [83406] = 7,
        [83547] = 34,
        [83548] = 47,
        [83549] = 32,
        [83550] = 7
      }
    },
    {
      [80] = {
        [83407] = 33,
        [83408] = 37,
        [83409] = 32,
        [83410] = 7,
        [83551] = 33,
        [83552] = 37,
        [83553] = 32,
        [83554] = 7
      }
    },
    {
      [100] = {
        [83411] = 57,
        [83412] = 25,
        [83413] = 32,
        [83414] = 7,
        [83555] = 57,
        [83556] = 25,
        [83557] = 32,
        [83558] = 7
      }
    },
    {
      [100] = {
        [83415] = 34,
        [83416] = 29,
        [83417] = 56,
        [83418] = 7,
        [83559] = 34,
        [83560] = 29,
        [83561] = 56,
        [83562] = 7
      }
    },
    {
      [120] = {
        [83419] = 34,
        [83420] = 29,
        [83421] = 32,
        [83422] = 7,
        [83563] = 34,
        [83564] = 29,
        [83565] = 32,
        [83566] = 7
      }
    },
    {
      [120] = {
        [83423] = 56,
        [83424] = 6,
        [83425] = 5,
        [83426] = 7,
        [83567] = 56,
        [83568] = 6,
        [83569] = 5,
        [83570] = 7
      }
    },
    {
      [80] = {
        [83427] = 34,
        [83428] = 47,
        [83429] = 32,
        [83430] = 7,
        [83571] = 34,
        [83572] = 47,
        [83573] = 32,
        [83574] = 7
      }
    },
    {
      [80] = {
        [83431] = 29,
        [83432] = 6,
        [83433] = 7,
        [83434] = 5,
        [83575] = 29,
        [83576] = 6,
        [83577] = 7,
        [83578] = 5
      }
    },
    {
      [100] = {
        [83435] = 34,
        [83436] = 47,
        [83437] = 32,
        [83438] = 7,
        [83579] = 34,
        [83580] = 47,
        [83581] = 32,
        [83582] = 7
      }
    },
    {
      [100] = {
        [83439] = 56,
        [83440] = 6,
        [83441] = 5,
        [83442] = 7,
        [83583] = 56,
        [83584] = 6,
        [83585] = 5,
        [83586] = 7
      }
    },
    {
      [120] = {
        [83443] = 57,
        [83444] = 25,
        [83445] = 32,
        [83446] = 7,
        [83587] = 57,
        [83588] = 25,
        [83589] = 32,
        [83590] = 7
      }
    },
    {
      [120] = {
        [83447] = 34,
        [83448] = 5,
        [83449] = 7,
        [83450] = 47,
        [83591] = 34,
        [83592] = 5,
        [83593] = 7,
        [83594] = 47
      }
    },
    {
      [80] = {
        [83451] = 34,
        [83452] = 47,
        [83453] = 32,
        [83454] = 7,
        [83595] = 34,
        [83596] = 47,
        [83597] = 32,
        [83598] = 7
      }
    },
    {
      [80] = {
        [83455] = 56,
        [83456] = 6,
        [83457] = 5,
        [83458] = 7,
        [83599] = 56,
        [83600] = 6,
        [83601] = 5,
        [83602] = 7
      }
    },
    Basic = {
      [5] = {
        [84956] = 7
      },
      [10] = {
        [78240] = 34,
        [78241] = 63,
        [78242] = 29,
        [78243] = 58,
        [78244] = 42,
        [78245] = 47,
        [78246] = 64,
        [78247] = 32,
        [78248] = 6,
        [78249] = 33,
        [78250] = 7,
        [78251] = 25,
        [78252] = 5,
        [78253] = 37,
        [78254] = 56,
        [78255] = 57
      },
      [20] = {
        [78256] = 34,
        [78257] = 63,
        [78258] = 29,
        [78259] = 58,
        [78260] = 42,
        [78261] = 47,
        [78262] = 64,
        [78263] = 32,
        [78264] = 6,
        [78265] = 33,
        [78266] = 7,
        [78267] = 25,
        [78268] = 5,
        [78269] = 37,
        [78270] = 56,
        [78271] = 57
      },
      [30] = {
        [78272] = 34,
        [78273] = 63,
        [78274] = 29,
        [78275] = 58,
        [78276] = 42,
        [78277] = 47,
        [78278] = 64,
        [78279] = 32,
        [78280] = 6,
        [78281] = 33,
        [78282] = 7,
        [78283] = 25,
        [78284] = 5,
        [78285] = 37,
        [78286] = 56,
        [78287] = 57
      },
      [40] = {
        [78288] = 34,
        [78289] = 63,
        [78290] = 29,
        [78291] = 58,
        [78292] = 42,
        [78293] = 47,
        [78294] = 64,
        [78295] = 32,
        [78296] = 6,
        [78297] = 33,
        [78298] = 7,
        [78299] = 25,
        [78300] = 5,
        [78301] = 37,
        [78302] = 56,
        [78303] = 57
      },
      [50] = {
        [78304] = 34,
        [78305] = 63,
        [78306] = 29,
        [78307] = 58,
        [78308] = 42,
        [78309] = 47,
        [78310] = 64,
        [78311] = 32,
        [78312] = 6,
        [78313] = 33,
        [78314] = 7,
        [78315] = 25,
        [78316] = 5,
        [78317] = 37,
        [78318] = 56,
        [78319] = 57
      },
      [80] = {
        [78320] = 34,
        [78321] = 63,
        [78322] = 29,
        [78323] = 58,
        [78324] = 42,
        [78325] = 47,
        [78326] = 64,
        [78327] = 32,
        [78328] = 6,
        [78329] = 33,
        [78330] = 7,
        [78331] = 25,
        [78332] = 5,
        [78333] = 37,
        [78334] = 56,
        [78335] = 57
      },
      [100] = {
        [78412] = 34,
        [78413] = 63,
        [78414] = 29,
        [78415] = 58,
        [78416] = 42,
        [78417] = 47,
        [78418] = 64,
        [78419] = 32,
        [78420] = 6,
        [78421] = 33,
        [78422] = 7,
        [78423] = 25,
        [78424] = 5,
        [78425] = 37,
        [78426] = 56,
        [78427] = 57
      },
      [120] = {
        [78504] = 34,
        [78505] = 63,
        [78506] = 29,
        [78507] = 58,
        [78508] = 42,
        [78509] = 47,
        [78510] = 64,
        [78511] = 32,
        [78512] = 6,
        [78513] = 33,
        [78514] = 7,
        [78515] = 25,
        [78516] = 5,
        [78517] = 37,
        [78518] = 56,
        [78519] = 57
      }
    },
    Fusion = {
		[10] = {
		  [81190] = 0
		},
		[20] = {
		  [81191] = 0,
		  [81201] = 0,
		  [81202] = 0,
		  [81203] = 0
		},
		[25] = {
		  [81192] = 0
		},
		[30] = {
		  [80982] = 0,
		  [80983] = 0,
		  [80984] = 0,
		  [80985] = 0,
		  [80986] = 0,
		  [80987] = 0,
		  [80988] = 0,
		  [80989] = 0,
		  [80990] = 0,
		  [81204] = 0,
		  [81205] = 0,
		  [81206] = 0,
		  [81207] = 0,
		  [81208] = 0
		},
		[35] = {
		  [81193] = 0
		},
		[40] = {
		  [80991] = 0,
		  [80992] = 0,
		  [80993] = 0,
		  [80994] = 0,
		  [80995] = 0,
		  [80996] = 0,
		  [80997] = 0,
		  [80998] = 0,
		  [80999] = 0,
		  [81000] = 0,
		  [81001] = 0,
		  [81002] = 0,
		  [81003] = 0,
		  [81004] = 0,
		  [81005] = 0,
		  [81006] = 0,
		  [81007] = 0,
		  [81008] = 0,
		  [81009] = 0,
		  [81194] = 0,
		  [81209] = 0,
		  [81210] = 0,
		  [81211] = 0,
		  [81212] = 0,
		  [81213] = 0
		},
		[50] = {
		  [81010] = 0,
		  [81011] = 0,
		  [81012] = 0,
		  [81013] = 0,
		  [81014] = 0,
		  [81015] = 0,
		  [81016] = 0,
		  [81017] = 0,
		  [81018] = 0,
		  [81019] = 0,
		  [81020] = 0,
		  [81021] = 0,
		  [81022] = 0,
		  [81023] = 0,
		  [81024] = 0,
		  [81025] = 0,
		  [81026] = 0,
		  [81027] = 0,
		  [81028] = 0,
		  [81029] = 0,
		  [81030] = 0,
		  [81031] = 0,
		  [81032] = 0,
		  [81033] = 0,
		  [81034] = 0,
		  [81035] = 0,
		  [81036] = 0,
		  [81214] = 0,
		  [81215] = 0,
		  [81216] = 0,
		  [81217] = 0,
		  [81218] = 0,
		  [81219] = 0
		},
		[80] = {
		  [81037] = 0,
		  [81038] = 0,
		  [81039] = 0,
		  [81040] = 0,
		  [81041] = 0,
		  [81042] = 0,
		  [81066] = 0,
		  [81067] = 0,
		  [81068] = 0,
		  [81069] = 0,
		  [81070] = 0,
		  [81071] = 0,
		  [81072] = 0,
		  [81073] = 0,
		  [81074] = 0,
		  [81075] = 0,
		  [81076] = 0,
		  [81077] = 0,
		  [81078] = 0,
		  [81079] = 0,
		  [81080] = 0,
		  [81081] = 0,
		  [81082] = 0,
		  [81083] = 0,
		  [81084] = 0,
		  [81085] = 0,
		  [81086] = 0,
		  [81087] = 0,
		  [81088] = 0,
		  [81089] = 0,
		  [81090] = 0,
		  [81091] = 0,
		  [81092] = 0,
		  [81093] = 0,
		  [81094] = 0,
		  [81095] = 0,
		  [81096] = 0,
		  [81097] = 0,
		  [81098] = 0,
		  [81099] = 0,
		  [81195] = 0,
		  [81196] = 0,
		  [81197] = 0,
		  [81198] = 0,
		  [81199] = 0,
		  [81200] = 0
		},
		[100] = {
		  [81100] = 0,
		  [81101] = 0,
		  [81102] = 0,
		  [81103] = 0,
		  [81104] = 0,
		  [81105] = 0,
		  [81106] = 0,
		  [81107] = 0,
		  [81108] = 0,
		  [81109] = 0,
		  [81110] = 0,
		  [81111] = 0,
		  [81112] = 0,
		  [81113] = 0,
		  [81114] = 0,
		  [81115] = 0,
		  [81116] = 0,
		  [81117] = 0,
		  [81118] = 0,
		  [81119] = 0,
		  [81120] = 0,
		  [81121] = 0,
		  [81122] = 0,
		  [81123] = 0,
		  [81124] = 0,
		  [81125] = 0,
		  [81126] = 0,
		  [81127] = 0,
		  [81128] = 0,
		  [81129] = 0,
		  [81130] = 0,
		  [81131] = 0,
		  [81132] = 0,
		  [81133] = 0,
		  [81134] = 0,
		  [81135] = 0,
		  [81136] = 0,
		  [81137] = 0,
		  [81138] = 0,
		  [81139] = 0,
		  [85859] = 0,
		  [85860] = 0,
		  [85861] = 0,
		  [85862] = 0
		},
		[120] = {
		  [81140] = 0,
		  [81141] = 0,
		  [81142] = 0,
		  [81143] = 0,
		  [81144] = 0,
		  [81145] = 0,
		  [81146] = 0,
		  [81147] = 0,
		  [81148] = 0,
		  [81149] = 0,
		  [81150] = 0,
		  [81151] = 0,
		  [81152] = 0,
		  [81153] = 0,
		  [81154] = 0,
		  [81155] = 0,
		  [81156] = 0,
		  [81157] = 0,
		  [81158] = 0,
		  [81159] = 0,
		  [81160] = 0,
		  [81161] = 0,
		  [81162] = 0,
		  [81163] = 0,
		  [81164] = 0,
		  [81165] = 0,
		  [81166] = 0,
		  [81167] = 0,
		  [81168] = 0,
		  [81169] = 0,
		  [81170] = 0,
		  [81171] = 0,
		  [81172] = 0,
		  [81173] = 0,
		  [81174] = 0,
		  [81175] = 0,
		  [81176] = 0,
		  [81177] = 0,
		  [81178] = 0,
		  [81179] = 0,
		  [85863] = 0,
		  [85864] = 0,
		  [85865] = 0,
		  [85866] = 0
		}
	  }
  }
  RuneMaster.ktSchematics = {
    [78240] = 3516,
    [78241] = 3517,
    [78242] = 3518,
    [78243] = 3519,
    [78244] = 3520,
    [78245] = 3521,
    [78246] = 3522,
    [78247] = 3523,
    [78248] = 3524,
    [78249] = 3525,
    [78250] = 3526,
    [78251] = 3527,
    [78252] = 3528,
    [78253] = 3529,
    [78254] = 3530,
    [78255] = 3531,
    [78256] = 3532,
    [78257] = 3533,
    [78258] = 3534,
    [78259] = 3535,
    [78260] = 3536,
    [78261] = 3537,
    [78262] = 3538,
    [78263] = 3539,
    [78264] = 3540,
    [78265] = 3541,
    [78266] = 3542,
    [78267] = 3543,
    [78268] = 3544,
    [78269] = 3545,
    [78270] = 3546,
    [78271] = 3547,
    [78272] = 3548,
    [78273] = 3549,
    [78274] = 3550,
    [78275] = 3551,
    [78276] = 3552,
    [78277] = 3553,
    [78278] = 3554,
    [78279] = 3555,
    [78280] = 3556,
    [78281] = 3557,
    [78282] = 3558,
    [78283] = 3559,
    [78284] = 3560,
    [78285] = 3561,
    [78286] = 3562,
    [78287] = 3563,
    [78288] = 3564,
    [78289] = 3565,
    [78290] = 3566,
    [78291] = 3567,
    [78292] = 3568,
    [78293] = 3569,
    [78294] = 3570,
    [78295] = 3571,
    [78296] = 3572,
    [78297] = 3573,
    [78298] = 3574,
    [78299] = 3575,
    [78300] = 3576,
    [78301] = 3577,
    [78302] = 3578,
    [78303] = 3579,
    [78304] = 3580,
    [78305] = 3581,
    [78306] = 3582,
    [78307] = 3583,
    [78308] = 3584,
    [78309] = 3585,
    [78310] = 3586,
    [78311] = 3587,
    [78312] = 3588,
    [78313] = 3589,
    [78314] = 3590,
    [78315] = 3591,
    [78316] = 3592,
    [78317] = 3593,
    [78318] = 3594,
    [78319] = 3595,
    [78320] = 3596,
    [78321] = 3597,
    [78322] = 3598,
    [78323] = 3599,
    [78324] = 3600,
    [78325] = 3601,
    [78326] = 3602,
    [78327] = 3603,
    [78328] = 3604,
    [78329] = 3605,
    [78330] = 3606,
    [78331] = 3607,
    [78332] = 3608,
    [78333] = 3609,
    [78334] = 3610,
    [78335] = 3611,
    [78412] = 3612,
    [78413] = 3613,
    [78414] = 3614,
    [78415] = 3615,
    [78416] = 3616,
    [78417] = 3617,
    [78418] = 3618,
    [78419] = 3619,
    [78420] = 3620,
    [78421] = 3621,
    [78422] = 3622,
    [78423] = 3623,
    [78424] = 3624,
    [78425] = 3625,
    [78426] = 3626,
    [78427] = 3627,
    [78504] = 3628,
    [78505] = 3629,
    [78506] = 3630,
    [78507] = 3631,
    [78508] = 3632,
    [78509] = 3633,
    [78510] = 3634,
    [78511] = 3635,
    [78512] = 3636,
    [78513] = 3637,
    [78514] = 3638,
    [78515] = 3639,
    [78516] = 3640,
    [78517] = 3641,
    [78518] = 3642,
    [78519] = 3643,
    [78596] = 3644,
    [78597] = 3645,
    [78604] = 3646,
    [78605] = 3647,
    [78612] = 3648,
    [78613] = 3649,
    [78632] = 3650,
    [78633] = 3651,
    [78640] = 3652,
    [78641] = 3653,
    [78648] = 3654,
    [78649] = 3655,
    [78668] = 3656,
    [78669] = 3657,
    [78676] = 3658,
    [78677] = 3659,
    [78684] = 3660,
    [78685] = 3661,
    [78704] = 3662,
    [78705] = 3663,
    [78712] = 3664,
    [78713] = 3665,
    [78720] = 3666,
    [78721] = 3667,
    [78740] = 3668,
    [78741] = 3669,
    [78748] = 3670,
    [78749] = 3671,
    [78756] = 3672,
    [78757] = 3673,
    [78776] = 3674,
    [78777] = 3675,
    [78784] = 3676,
    [78785] = 3677,
    [78792] = 3678,
    [78793] = 3679,
    [78812] = 3680,
    [78813] = 3681,
    [78814] = 3682,
    [78824] = 3683,
    [78825] = 3684,
    [78826] = 3685,
    [78836] = 3686,
    [78837] = 3687,
    [78838] = 3688,
    [78866] = 3689,
    [78867] = 3690,
    [78868] = 3691,
    [78878] = 3692,
    [78879] = 3693,
    [78880] = 3694,
    [78890] = 3695,
    [78891] = 3696,
    [78892] = 3697,
    [78920] = 3698,
    [78921] = 3699,
    [78922] = 3700,
    [78932] = 3701,
    [78933] = 3702,
    [78934] = 3703,
    [78944] = 3704,
    [78945] = 3705,
    [78946] = 3706,
    [78974] = 3707,
    [78975] = 3708,
    [78976] = 3709,
    [78986] = 3710,
    [78987] = 3711,
    [78988] = 3712,
    [78998] = 3713,
    [78999] = 3714,
    [79000] = 3715,
    [79028] = 3716,
    [79029] = 3717,
    [79030] = 3718,
    [79040] = 3719,
    [79041] = 3720,
    [79042] = 3721,
    [79052] = 3722,
    [79053] = 3723,
    [79054] = 3724,
    [79082] = 3725,
    [79083] = 3726,
    [79084] = 3727,
    [79089] = 3728,
    [79098] = 3729,
    [79099] = 3730,
    [79100] = 3731,
    [79105] = 3732,
    [79114] = 3733,
    [79115] = 3734,
    [79116] = 3735,
    [79121] = 3736,
    [79154] = 3737,
    [79155] = 3738,
    [79156] = 3739,
    [79161] = 3740,
    [79162] = 3741,
    [79163] = 3742,
    [79164] = 3743,
    [79169] = 3744,
    [79170] = 3745,
    [79171] = 3746,
    [79172] = 3747,
    [79177] = 3748,
    [79178] = 3749,
    [79179] = 3750,
    [79180] = 3751,
    [79185] = 3752,
    [79186] = 3753,
    [79187] = 3754,
    [79188] = 3755,
    [79193] = 3756,
    [79194] = 3757,
    [79195] = 3758,
    [79196] = 3759,
    [79201] = 3760,
    [79226] = 3761,
    [79227] = 3762,
    [79228] = 3763,
    [79233] = 3764,
    [79234] = 3765,
    [79235] = 3766,
    [79236] = 3767,
    [79241] = 3768,
    [79242] = 3769,
    [79243] = 3770,
    [79244] = 3771,
    [79249] = 3772,
    [79250] = 3773,
    [79251] = 3774,
    [79252] = 3775,
    [79257] = 3776,
    [79258] = 3777,
    [79259] = 3778,
    [79260] = 3779,
    [79265] = 3780,
    [79266] = 3781,
    [79267] = 3782,
    [79268] = 3783,
    [79273] = 3784,
    [79298] = 3785,
    [79299] = 3786,
    [79300] = 3787,
    [79305] = 3788,
    [79306] = 3789,
    [79307] = 3790,
    [79308] = 3791,
    [79313] = 3792,
    [79314] = 3793,
    [79315] = 3794,
    [79316] = 3795,
    [79321] = 3796,
    [79322] = 3797,
    [79323] = 3798,
    [79324] = 3799,
    [79329] = 3800,
    [79330] = 3801,
    [79331] = 3802,
    [79332] = 3803,
    [79337] = 3804,
    [79338] = 3805,
    [79339] = 3806,
    [79340] = 3807,
    [79345] = 3808,
    [79370] = 3809,
    [79371] = 3810,
    [79378] = 3811,
    [79379] = 3812,
    [79386] = 3813,
    [79387] = 3814,
    [79406] = 3815,
    [79407] = 3816,
    [79414] = 3817,
    [79415] = 3818,
    [79422] = 3819,
    [79423] = 3820,
    [79442] = 3821,
    [79443] = 3822,
    [79450] = 3823,
    [79451] = 3824,
    [79458] = 3825,
    [79459] = 3826,
    [79478] = 3827,
    [79479] = 3828,
    [79486] = 3829,
    [79487] = 3830,
    [79494] = 3831,
    [79495] = 3832,
    [79514] = 3833,
    [79515] = 3834,
    [79522] = 3835,
    [79523] = 3836,
    [79530] = 3837,
    [79531] = 3838,
    [79550] = 3839,
    [79551] = 3840,
    [79558] = 3841,
    [79559] = 3842,
    [79566] = 3843,
    [79567] = 3844,
    [79586] = 3845,
    [79587] = 3846,
    [79588] = 3847,
    [79598] = 3848,
    [79599] = 3849,
    [79600] = 3850,
    [79610] = 3851,
    [79611] = 3852,
    [79612] = 3853,
    [79640] = 3854,
    [79641] = 3855,
    [79642] = 3856,
    [79652] = 3857,
    [79653] = 3858,
    [79654] = 3859,
    [79664] = 3860,
    [79665] = 3861,
    [79666] = 3862,
    [79694] = 3863,
    [79695] = 3864,
    [79696] = 3865,
    [79706] = 3866,
    [79707] = 3867,
    [79708] = 3868,
    [79718] = 3869,
    [79719] = 3870,
    [79720] = 3871,
    [79748] = 3872,
    [79749] = 3873,
    [79750] = 3874,
    [79760] = 3875,
    [79761] = 3876,
    [79762] = 3877,
    [79772] = 3878,
    [79773] = 3879,
    [79774] = 3880,
    [79802] = 3881,
    [79803] = 3882,
    [79804] = 3883,
    [79814] = 3884,
    [79815] = 3885,
    [79816] = 3886,
    [79826] = 3887,
    [79827] = 3888,
    [79828] = 3889,
    [79856] = 3890,
    [79857] = 3891,
    [79858] = 3892,
    [79863] = 3893,
    [79872] = 3894,
    [79873] = 3895,
    [79874] = 3896,
    [79879] = 3897,
    [79888] = 3898,
    [79889] = 3899,
    [79890] = 3900,
    [79895] = 3901,
    [79928] = 3902,
    [79929] = 3903,
    [79930] = 3904,
    [79935] = 3905,
    [79936] = 3906,
    [79937] = 3907,
    [79938] = 3908,
    [79943] = 3909,
    [79944] = 3910,
    [79945] = 3911,
    [79946] = 3912,
    [79951] = 3913,
    [79952] = 3914,
    [79953] = 3915,
    [79954] = 3916,
    [79959] = 3917,
    [79960] = 3918,
    [79961] = 3919,
    [79962] = 3920,
    [79967] = 3921,
    [79968] = 3922,
    [79969] = 3923,
    [79970] = 3924,
    [79975] = 3925,
    [80728] = 3926,
    [80729] = 3927,
    [80730] = 3928,
    [80735] = 3929,
    [80736] = 3930,
    [80737] = 3931,
    [80738] = 3932,
    [80743] = 3933,
    [80744] = 3934,
    [80745] = 3935,
    [80746] = 3936,
    [80751] = 3937,
    [80752] = 3938,
    [80753] = 3939,
    [80754] = 3940,
    [80759] = 3941,
    [80760] = 3942,
    [80761] = 3943,
    [80762] = 3944,
    [80767] = 3945,
    [80768] = 3946,
    [80769] = 3947,
    [80770] = 3948,
    [80775] = 3949,
    [80800] = 3950,
    [80801] = 3951,
    [80802] = 3952,
    [80807] = 3953,
    [80808] = 3954,
    [80809] = 3955,
    [80810] = 3956,
    [80815] = 3957,
    [80816] = 3958,
    [80817] = 3959,
    [80818] = 3960,
    [80823] = 3961,
    [80824] = 3962,
    [80825] = 3963,
    [80826] = 3964,
    [80831] = 3965,
    [80832] = 3966,
    [80833] = 3967,
    [80982] = 3968,
    [80983] = 3969,
    [80984] = 3970,
    [80985] = 3971,
    [80986] = 3972,
    [80987] = 3973,
    [80988] = 3974,
    [80989] = 3975,
    [80990] = 3976,
    [80991] = 3977,
    [80992] = 3978,
    [80993] = 3979,
    [80994] = 3980,
    [80995] = 3981,
    [80996] = 3982,
    [80997] = 3983,
    [80998] = 3984,
    [80999] = 3985,
    [81000] = 3986,
    [81001] = 3987,
    [81002] = 3988,
    [81003] = 3989,
    [81004] = 3990,
    [81005] = 3991,
    [81006] = 3992,
    [81007] = 3993,
    [81008] = 3994,
    [81009] = 3995,
    [81010] = 3996,
    [81011] = 3997,
    [81012] = 3998,
    [81013] = 3999,
    [81014] = 4000,
    [81015] = 4001,
    [81016] = 4002,
    [81017] = 4003,
    [81018] = 4004,
    [81019] = 4005,
    [81020] = 4006,
    [81021] = 4007,
    [81022] = 4008,
    [81023] = 4009,
    [81024] = 4010,
    [81025] = 4011,
    [81026] = 4012,
    [81027] = 4013,
    [81028] = 4014,
    [81029] = 4015,
    [81030] = 4016,
    [81031] = 4017,
    [81032] = 4018,
    [81033] = 4019,
    [81034] = 4020,
    [81035] = 4021,
    [81036] = 4022,
    [81037] = 4023,
    [81038] = 4024,
    [81039] = 4025,
    [81040] = 4026,
    [81041] = 4027,
    [81042] = 4028,
    [81066] = 4029,
    [81067] = 4030,
    [81068] = 4031,
    [81069] = 4032,
    [81070] = 4033,
    [81071] = 4034,
    [81072] = 4035,
    [81073] = 4036,
    [81074] = 4037,
    [81075] = 4038,
    [81076] = 4039,
    [81077] = 4040,
    [81078] = 4041,
    [81079] = 4042,
    [81080] = 4043,
    [81081] = 4044,
    [81082] = 4045,
    [81083] = 4046,
    [81084] = 4047,
    [81085] = 4048,
    [81086] = 4049,
    [81087] = 4050,
    [81088] = 4051,
    [81089] = 4052,
    [81090] = 4053,
    [81091] = 4054,
    [81092] = 4055,
    [81093] = 4056,
    [81094] = 4057,
    [81095] = 4058,
    [81096] = 4059,
    [81097] = 4060,
    [81098] = 4061,
    [81099] = 4062,
    [81100] = 4063,
    [81101] = 4064,
    [81102] = 4065,
    [81103] = 4066,
    [81104] = 4067,
    [81105] = 4068,
    [81106] = 4069,
    [81107] = 4070,
    [81108] = 4071,
    [81109] = 4072,
    [81110] = 4073,
    [81111] = 4074,
    [81112] = 4075,
    [81113] = 4076,
    [81114] = 4077,
    [81115] = 4078,
    [81116] = 4079,
    [81117] = 4080,
    [81118] = 4081,
    [81119] = 4082,
    [81120] = 4083,
    [81121] = 4084,
    [81122] = 4085,
    [81123] = 4086,
    [81124] = 4087,
    [81125] = 4088,
    [81126] = 4089,
    [81127] = 4090,
    [81128] = 4091,
    [81129] = 4092,
    [81130] = 4093,
    [81131] = 4094,
    [81132] = 4095,
    [81133] = 4096,
    [81134] = 4097,
    [81135] = 4098,
    [81136] = 4099,
    [81137] = 4100,
    [81138] = 4101,
    [81139] = 4102,
    [81140] = 4103,
    [81141] = 4104,
    [81142] = 4105,
    [81143] = 4106,
    [81144] = 4107,
    [81145] = 4108,
    [81146] = 4109,
    [81147] = 4110,
    [81148] = 4111,
    [81149] = 4112,
    [81150] = 4113,
    [81151] = 4114,
    [81152] = 4115,
    [81153] = 4116,
    [81154] = 4117,
    [81155] = 4118,
    [81156] = 4119,
    [81157] = 4120,
    [81158] = 4121,
    [81159] = 4122,
    [81160] = 4123,
    [81161] = 4124,
    [81162] = 4125,
    [81163] = 4126,
    [81164] = 4127,
    [81165] = 4128,
    [81166] = 4129,
    [81167] = 4130,
    [81168] = 4131,
    [81169] = 4132,
    [81170] = 4133,
    [81171] = 4134,
    [81172] = 4135,
    [81173] = 4136,
    [81174] = 4137,
    [81175] = 4138,
    [81176] = 4139,
    [81177] = 4140,
    [81178] = 4141,
    [81179] = 4142,
    [83315] = 4143,
    [83316] = 4144,
    [83317] = 4145,
    [83318] = 4146,
    [83319] = 4147,
    [83320] = 4148,
    [83321] = 4149,
    [83322] = 4150,
    [83323] = 4151,
    [83324] = 4152,
    [83325] = 4153,
    [83326] = 4154,
    [83327] = 4155,
    [83328] = 4156,
    [83329] = 4157,
    [83330] = 4158,
    [83331] = 4159,
    [83332] = 4160,
    [83333] = 4161,
    [83334] = 4162,
    [83335] = 4163,
    [83336] = 4164,
    [83337] = 4165,
    [83338] = 4166,
    [83339] = 4167,
    [83340] = 4168,
    [83341] = 4169,
    [83342] = 4170,
    [83343] = 4171,
    [83344] = 4172,
    [83345] = 4173,
    [83346] = 4174,
    [83347] = 4175,
    [83348] = 4176,
    [83349] = 4177,
    [83350] = 4178,
    [83351] = 4179,
    [83352] = 4180,
    [83353] = 4181,
    [83354] = 4182,
    [83355] = 4183,
    [83356] = 4184,
    [83357] = 4185,
    [83358] = 4186,
    [83359] = 4187,
    [83360] = 4188,
    [83361] = 4189,
    [83362] = 4190,
    [83363] = 4191,
    [83364] = 4192,
    [83365] = 4193,
    [83366] = 4194,
    [83367] = 4195,
    [83368] = 4196,
    [83369] = 4197,
    [83370] = 4198,
    [83371] = 4199,
    [83372] = 4200,
    [83373] = 4201,
    [83374] = 4202,
    [83375] = 4203,
    [83376] = 4204,
    [83377] = 4205,
    [83378] = 4206,
    [83379] = 4207,
    [83380] = 4208,
    [83381] = 4209,
    [83382] = 4210,
    [83383] = 4211,
    [83384] = 4212,
    [83385] = 4213,
    [83386] = 4214,
    [83387] = 4215,
    [83388] = 4216,
    [83389] = 4217,
    [83390] = 4218,
    [83391] = 4219,
    [83392] = 4220,
    [83393] = 4221,
    [83394] = 4222,
    [83395] = 4223,
    [83396] = 4224,
    [83397] = 4225,
    [83398] = 4226,
    [83399] = 4227,
    [83400] = 4228,
    [83401] = 4229,
    [83402] = 4230,
    [83403] = 4231,
    [83404] = 4232,
    [83405] = 4233,
    [83406] = 4234,
    [83407] = 4235,
    [83408] = 4236,
    [83409] = 4237,
    [83410] = 4238,
    [83411] = 4239,
    [83412] = 4240,
    [83413] = 4241,
    [83414] = 4242,
    [83415] = 4243,
    [83416] = 4244,
    [83417] = 4245,
    [83418] = 4246,
    [83419] = 4247,
    [83420] = 4248,
    [83421] = 4249,
    [83422] = 4250,
    [83423] = 4251,
    [83424] = 4252,
    [83425] = 4253,
    [83426] = 4254,
    [83427] = 4255,
    [83428] = 4256,
    [83429] = 4257,
    [83430] = 4258,
    [83431] = 4259,
    [83432] = 4260,
    [83433] = 4261,
    [83434] = 4262,
    [83435] = 4263,
    [83436] = 4264,
    [83437] = 4265,
    [83438] = 4266,
    [83439] = 4267,
    [83440] = 4268,
    [83441] = 4269,
    [83442] = 4270,
    [83443] = 4271,
    [83444] = 4272,
    [83445] = 4273,
    [83446] = 4274,
    [83447] = 4275,
    [83448] = 4276,
    [83449] = 4277,
    [83450] = 4278,
    [83451] = 4279,
    [83452] = 4280,
    [83453] = 4281,
    [83454] = 4282,
    [83455] = 4283,
    [83456] = 4284,
    [83457] = 4285,
    [83458] = 4286,
    [83459] = 4287,
    [83460] = 4288,
    [83461] = 4289,
    [83462] = 4290,
    [83463] = 4291,
    [83464] = 4292,
    [83465] = 4293,
    [83466] = 4294,
    [83467] = 4295,
    [83468] = 4296,
    [83469] = 4297,
    [83470] = 4298,
    [83471] = 4299,
    [83472] = 4300,
    [83473] = 4301,
    [83474] = 4302,
    [83475] = 4303,
    [83476] = 4304,
    [83477] = 4305,
    [83478] = 4306,
    [83479] = 4307,
    [83480] = 4308,
    [83481] = 4309,
    [83482] = 4310,
    [83483] = 4311,
    [83484] = 4312,
    [83485] = 4313,
    [83486] = 4314,
    [83487] = 4315,
    [83488] = 4316,
    [83489] = 4317,
    [83490] = 4318,
    [83491] = 4319,
    [83492] = 4320,
    [83493] = 4321,
    [83494] = 4322,
    [83495] = 4323,
    [83496] = 4324,
    [83497] = 4325,
    [83498] = 4326,
    [83499] = 4327,
    [83500] = 4328,
    [83501] = 4329,
    [83502] = 4330,
    [83503] = 4331,
    [83504] = 4332,
    [83505] = 4333,
    [83506] = 4334,
    [83507] = 4335,
    [83508] = 4336,
    [83509] = 4337,
    [83510] = 4338,
    [83511] = 4339,
    [83512] = 4340,
    [83513] = 4341,
    [83514] = 4342,
    [83515] = 4343,
    [83516] = 4344,
    [83517] = 4345,
    [83518] = 4346,
    [83519] = 4347,
    [83520] = 4348,
    [83521] = 4349,
    [83522] = 4350,
    [83523] = 4351,
    [83524] = 4352,
    [83525] = 4353,
    [83526] = 4354,
    [83527] = 4355,
    [83528] = 4356,
    [83529] = 4357,
    [83530] = 4358,
    [83531] = 4359,
    [83532] = 4360,
    [83533] = 4361,
    [83534] = 4362,
    [83535] = 4363,
    [83536] = 4364,
    [83537] = 4365,
    [83538] = 4366,
    [83539] = 4367,
    [83540] = 4368,
    [83541] = 4369,
    [83542] = 4370,
    [83543] = 4371,
    [83544] = 4372,
    [83545] = 4373,
    [83546] = 4374,
    [83547] = 4375,
    [83548] = 4376,
    [83549] = 4377,
    [83550] = 4378,
    [83551] = 4379,
    [83552] = 4380,
    [83553] = 4381,
    [83554] = 4382,
    [83555] = 4383,
    [83556] = 4384,
    [83557] = 4385,
    [83558] = 4386,
    [83559] = 4387,
    [83560] = 4388,
    [83561] = 4389,
    [83562] = 4390,
    [83563] = 4391,
    [83564] = 4392,
    [83565] = 4393,
    [83566] = 4394,
    [83567] = 4395,
    [83568] = 4396,
    [83569] = 4397,
    [83570] = 4398,
    [83571] = 4399,
    [83572] = 4400,
    [83573] = 4401,
    [83574] = 4402,
    [83575] = 4403,
    [83576] = 4404,
    [83577] = 4405,
    [83578] = 4406,
    [83579] = 4407,
    [83580] = 4408,
    [83581] = 4409,
    [83582] = 4410,
    [83583] = 4411,
    [83584] = 4412,
    [83585] = 4413,
    [83586] = 4414,
    [83587] = 4415,
    [83588] = 4416,
    [83589] = 4417,
    [83590] = 4418,
    [83591] = 4419,
    [83592] = 4420,
    [83593] = 4421,
    [83594] = 4422,
    [83595] = 4423,
    [83596] = 4424,
    [83597] = 4425,
    [83598] = 4426,
    [83599] = 4427,
    [83600] = 4428,
    [83601] = 4429,
    [83602] = 4430
  }
  RuneMaster.ktSets = {
	{
      nExampleId = 78596,
      strName = "Striker",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 112,
          nValue = 0.0040000001899898
        },
        {
          eProperty = 104,
          nValue = 0.0027000000700355
        },
        {
          eProperty = 112,
          nValue = 0.0049999998882413
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 78605,
      strName = "Defiance",
      tTierInfo = { nil, {
          eProperty = 164,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 195,
          nValue = 0.0040000001899898
        },
        {
          eProperty = 42
        },
        {
          eProperty = 195,
          nValue = 0.0049999998882413
        },
        {
          eProperty = 164,
          nValue = 0.0032999999821186
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 78632,
      strName = "Pulse",
      tTierInfo = { nil, {
          eProperty = 7
        },
        {
          eProperty = 154,
          nValue = 0.0040000001899898
        },
        {
          eProperty = 102,
          nValue = 0.0022499999031425
        },
        {
          eProperty = 154,
          nValue = 0.0049999998882413
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 78704,
      strName = "Havoc",
      tTierInfo = { nil, {
          eProperty = 7
        },
        {
          eProperty = 102,
          nValue = 0.0020000000949949
        },
        {
          eProperty = 154,
          nValue = 0.0044999998062849
        },
        {
          eProperty = 102,
          nValue = 0.0024999999441206
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 78713,
      strName = "Elusion",
      tTierInfo = { nil, {
          eProperty = 101,
          nValue = 0.0010499999625608
        },
        {
          eProperty = 7
        },
        {
          eProperty = 42
        },
        {
          eProperty = 7
        },
        {
          eProperty = 101,
          nValue = 0.0016499999910593
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 78740,
      strName = "Resurgence",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 107,
          nValue = 0.00015999999595806
        },
        {
          eProperty = 127,
          nValue = 0.0089999996125698
        },
        {
          eProperty = 107,
          nValue = 0.00019999999494758
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 78866,
      strName = "Onslaught",
      tTierInfo = { nil, {
          eProperty = 196,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 104,
          nValue = 0.0024000001139939
        },
        {
          eProperty = 137,
          nValue = 0.0017999999690801
        },
        {
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 196,
          nValue = 0.0032999999821186
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 78878,
      strName = "Alleviation",
      tTierInfo = { nil, {
          eProperty = 157,
          nValue = 0.010499999858439
        },
        {
          eProperty = 7
        },
        {
          eProperty = 42
        },
        {
          eProperty = 7
        },
        {
          eProperty = 157,
          nValue = 0.016499999910593
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 78890,
      strName = "Concentration",
      tTierInfo = { nil, {
          eProperty = 158,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 107,
          nValue = 0.00015999999595806
        },
        {
          eProperty = 7
        },
        {
          eProperty = 5
        },
        {
          eProperty = 158,
          nValue = 0.0032999999821186
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 79082,
      strName = "Devastation",
      tTierInfo = { nil, {
          eProperty = 104,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 102,
          nValue = 0.0020000000949949
        },
        {
          eProperty = 127,
          nValue = 0.0089999996125698
        },
        {
          eProperty = 102,
          nValue = 0.0024999999441206
        },
        {
          eProperty = 127,
          nValue = 0.010999999940395
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 79089,
      strName = "Provoker",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 164,
          nValue = 0.0024000001139939
        },
        {
          eProperty = 101,
          nValue = 0.0013500000350177
        },
        {
          eProperty = 164,
          nValue = 0.003000000026077
        },
        {
          eProperty = 101,
          nValue = 0.0016499999910593
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 79100,
      strName = "Cynosure",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 5
        },
        {
          eProperty = 112,
          nValue = 0.0044999998062849
        },
        {
          eProperty = 5
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        } },
      tTiers = { 2, 3, 4, 5, 6 }
    },
    {
      nExampleId = 80834,
      strName = "Ruthless",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 112,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        },
        {
          eProperty = 112,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      nExampleId = 80842,
      strName = "Foil",
      tTierInfo = { nil, {
          eProperty = 101,
          nValue = 0.0010499999625608
        },
        {
          eProperty = 7
        }, {},
        }, {{
          eProperty = 157,
          nValue = 0.014999999664724
        },
        {
          eProperty = 7
        },
        {
          eProperty = 101,
          nValue = 0.0017999999690801
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      nExampleId = 80966,
      strName = "Curator",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 107,
          nValue = 0.00015999999595806
        }, {},
        }, {{
          eProperty = 127,
          nValue = 0.0099999997764826
        },
        {
          eProperty = 107,
          nValue = 0.00022000000171829
        },
        {
          eProperty = 102,
          nValue = 0.003000000026077
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 1,
      nExampleId = 83315,
      strName = "Unity",
      tTierInfo = { nil, {
          eProperty = 196,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 104,
          nValue = 0.0024000001139939
        }, {},
        }, {{
          eProperty = 196,
          nValue = 0.003000000026077
        },
        {
          eProperty = 104,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 196,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 1,
      nExampleId = 83319,
      strName = "Energized Arms",
      tTierInfo = { nil, {
          eProperty = 157,
          nValue = 0.010499999858439
        },
        {
          eProperty = 42
        }, {},
        }, {{
          eProperty = 7
        },
        {
          eProperty = 42
        },
        {
          eProperty = 157,
          nValue = 0.01799999922514
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 1,
      nExampleId = 83323,
      strName = "Burning Rage",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 127,
          nValue = 0.0080000003799796
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        },
        {
          eProperty = 127,
          nValue = 0.012000000104308
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 1,
      nExampleId = 83327,
      strName = "Vanguard",
      tTierInfo = { nil, {
          eProperty = 164,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 195,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 42
        },
        {
          eProperty = 164,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 195,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 1,
      nExampleId = 83331,
      strName = "Brawler",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 127,
          nValue = 0.0080000003799796
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        },
        {
          eProperty = 127,
          nValue = 0.012000000104308
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 1,
      nExampleId = 83335,
      strName = "Field Commander",
      tTierInfo = { nil, {
          eProperty = 101,
          nValue = 0.0010499999625608
        },
        {
          eProperty = 7
        }, {},
        }, {{
          eProperty = 157,
          nValue = 0.014999999664724
        },
        {
          eProperty = 7
        },
        {
          eProperty = 101,
          nValue = 0.0017999999690801
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 2,
      nExampleId = 83339,
      strName = "Eradication",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 112,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        },
        {
          eProperty = 112,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 2,
      nExampleId = 83343,
      strName = "Unbreakable",
      tTierInfo = { nil, {
          eProperty = 157,
          nValue = 0.010499999858439
        },
        {
          eProperty = 42
        }, {},
        }, {{
          eProperty = 7
        },
        {
          eProperty = 42
        },
        {
          eProperty = 157,
          nValue = 0.01799999922514
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 2,
      nExampleId = 83347,
      strName = "Technician",
      tTierInfo = { nil, {
          eProperty = 196,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 104,
          nValue = 0.0024000001139939
        }, {},
        }, {{
          eProperty = 196,
          nValue = 0.003000000026077
        },
        {
          eProperty = 104,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 196,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 2,
      nExampleId = 83351,
      strName = "Mecha Shield",
      tTierInfo = { nil, {
          eProperty = 164,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 195,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 42
        },
        {
          eProperty = 164,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 195,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 2,
      nExampleId = 83355,
      strName = "Hypercharge",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 112,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        },
        {
          eProperty = 112,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 2,
      nExampleId = 83359,
      strName = "Lockdown",
      tTierInfo = { nil, {
          eProperty = 164,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 195,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 42
        },
        {
          eProperty = 164,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 195,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 4,
      nExampleId = 83363,
      strName = "Overcharge",
      tTierInfo = { nil, {
          eProperty = 196,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 104,
          nValue = 0.0024000001139939
        }, {},
        }, {{
          eProperty = 196,
          nValue = 0.003000000026077
        },
        {
          eProperty = 104,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 196,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 4,
      nExampleId = 83367,
      strName = "Great Aegis",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 5
        }, {},
        }, {{
          eProperty = 112,
          nValue = 0.0049999998882413
        },
        {
          eProperty = 5
        },
        {
          eProperty = 154,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 4,
      nExampleId = 83371,
      strName = "Atomic Charge",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 112,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        },
        {
          eProperty = 112,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 4,
      nExampleId = 83375,
      strName = "Resource Probes",
      tTierInfo = { nil, {
          eProperty = 158,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 5
        }, {},
        }, {{
          eProperty = 107,
          nValue = 0.00019999999494758
        },
        {
          eProperty = 5
        },
        {
          eProperty = 158,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 4,
      nExampleId = 83379,
      strName = "Offbeat",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 112,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        },
        {
          eProperty = 112,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 4,
      nExampleId = 83383,
      strName = "Quickening",
      tTierInfo = { nil, {
          eProperty = 158,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 5
        }, {},
        }, {{
          eProperty = 107,
          nValue = 0.00019999999494758
        },
        {
          eProperty = 5
        },
        {
          eProperty = 158,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 5,
      nExampleId = 83387,
      strName = "Assassin",
      tTierInfo = { nil, {
          eProperty = 196,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 104,
          nValue = 0.0024000001139939
        }, {},
        }, {{
          eProperty = 196,
          nValue = 0.003000000026077
        },
        {
          eProperty = 104,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 196,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 5,
      nExampleId = 83391,
      strName = "Waller",
      tTierInfo = { nil, {
          eProperty = 157,
          nValue = 0.010499999858439
        },
        {
          eProperty = 42
        }, {},
        }, {{
          eProperty = 7
        },
        {
          eProperty = 42
        },
        {
          eProperty = 157,
          nValue = 0.01799999922514
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 5,
      nExampleId = 83395,
      strName = "Eviscerator",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 127,
          nValue = 0.0080000003799796
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        },
        {
          eProperty = 127,
          nValue = 0.012000000104308
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 5,
      nExampleId = 83399,
      strName = "Furor",
      tTierInfo = { nil, {
          eProperty = 101,
          nValue = 0.0010499999625608
        },
        {
          eProperty = 7
        }, {},
        }, {{
          eProperty = 157,
          nValue = 0.014999999664724
        },
        {
          eProperty = 7
        },
        {
          eProperty = 101,
          nValue = 0.0017999999690801
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 5,
      nExampleId = 83403,
      strName = "Garrotter",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 127,
          nValue = 0.0080000003799796
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        },
        {
          eProperty = 127,
          nValue = 0.012000000104308
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 5,
      nExampleId = 83407,
      strName = "Contender",
      tTierInfo = { nil, {
          eProperty = 101,
          nValue = 0.0010499999625608
        },
        {
          eProperty = 7
        }, {},
        }, {{
          eProperty = 157,
          nValue = 0.014999999664724
        },
        {
          eProperty = 7
        },
        {
          eProperty = 101,
          nValue = 0.0017999999690801
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 7,
      nExampleId = 83411,
      strName = "Well of Power",
      tTierInfo = { nil, {
          eProperty = 196,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 104,
          nValue = 0.0024000001139939
        }, {},
        }, {{
          eProperty = 196,
          nValue = 0.003000000026077
        },
        {
          eProperty = 104,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 196,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 7,
      nExampleId = 83415,
      strName = "Surge Life",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 154,
          nValue = 0.0040000001899898
        }, {},
        }, {{
          eProperty = 158,
          nValue = 0.003000000026077
        },
        {
          eProperty = 154,
          nValue = 0.0054999999701977
        },
        {
          eProperty = 102,
          nValue = 0.003000000026077
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 7,
      nExampleId = 83419,
      strName = "Flame Surge",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 102,
          nValue = 0.0020000000949949
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        },
        {
          eProperty = 154,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 7,
      nExampleId = 83423,
      strName = "Prevention",
      tTierInfo = { nil, {
          eProperty = 158,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 5
        }, {},
        }, {{
          eProperty = 107,
          nValue = 0.00019999999494758
        },
        {
          eProperty = 5
        },
        {
          eProperty = 158,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 7,
      nExampleId = 83427,
      strName = "Vindication",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 127,
          nValue = 0.0080000003799796
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        },
        {
          eProperty = 127,
          nValue = 0.012000000104308
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 7,
      nExampleId = 83431,
      strName = "Clean Coat",
      tTierInfo = { nil, {
          eProperty = 154,
          nValue = 0.0035000001080334
        },
        {
          eProperty = 5
        }, {},
        }, {{
          eProperty = 112,
          nValue = 0.0049999998882413
        },
        {
          eProperty = 5
        },
        {
          eProperty = 154,
          nValue = 0.0060000000521541
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 3,
      nExampleId = 83435,
      strName = "Mental Prowess",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 127,
          nValue = 0.0080000003799796
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        },
        {
          eProperty = 127,
          nValue = 0.012000000104308
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 3,
      nExampleId = 83439,
      strName = "Guardian",
      tTierInfo = { nil, {
          eProperty = 158,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 5
        }, {},
        }, {{
          eProperty = 107,
          nValue = 0.00019999999494758
        },
        {
          eProperty = 5
        },
        {
          eProperty = 158,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 3,
      nExampleId = 83443,
      strName = "Fiendish",
      tTierInfo = { nil, {
          eProperty = 196,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 104,
          nValue = 0.0024000001139939
        }, {},
        }, {{
          eProperty = 196,
          nValue = 0.003000000026077
        },
        {
          eProperty = 104,
          nValue = 0.0032999999821186
        },
        {
          eProperty = 196,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 3,
      nExampleId = 83447,
      strName = "Hardened",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 107,
          nValue = 0.00015999999595806
        }, {},
        }, {{
          eProperty = 127,
          nValue = 0.0099999997764826
        },
        {
          eProperty = 107,
          nValue = 0.00022000000171829
        },
        {
          eProperty = 102,
          nValue = 0.003000000026077
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 3,
      nExampleId = 83451,
      strName = "Bombardment",
      tTierInfo = { nil, {
          eProperty = 102,
          nValue = 0.0017500000540167
        },
        {
          eProperty = 127,
          nValue = 0.0080000003799796
        }, {},
        }, {{
          eProperty = 104,
          nValue = 0.003000000026077
        },
        {
          eProperty = 102,
          nValue = 0.0027499999850988
        },
        {
          eProperty = 127,
          nValue = 0.012000000104308
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    },
    {
      eClass = 3,
      nExampleId = 83455,
      strName = "Unstoppable",
      tTierInfo = { nil, {
          eProperty = 158,
          nValue = 0.0020999999251217
        },
        {
          eProperty = 5
        }, {},
        }, {{
          eProperty = 107,
          nValue = 0.00019999999494758
        },
        {
          eProperty = 5
        },
        {
          eProperty = 158,
          nValue = 0.0035999999381602
        },
        {} },
      tTiers = { 2, 3, 4, 5, 6, 7, 8 }
    }
  }

  
  
  